# ErrorResponse | xrpl
Documentation for xrpl

# Interface ErrorResponse

The shape of an error response from rippled. xrpl.js handles rejections by throwing, and allowing the user to handle in the catch block of a promise.

#### Hierarchy

- ErrorResponse

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

#####
Index

### Properties

api_version?
error
error_code?
error_message?
id
request
status
type

## Properties

### `Optional` api_version

api_version?: number

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:48

### error

error: string

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:44

### `Optional` error_code

error_code?: string

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:45

### `Optional` error_message

error_message?: string

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:46

### id

id: string | number

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:41

### request

request: Request

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:47

### status

status: "error"

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:42

### type

type: string

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:43

Generated using TypeDoc